#!/usr/bin/env  python
# -*- coding: Latin-1 -*-
#
# SMM Share and Money Management
# Copyright (c) 2007-2010 Carsten Grohmann
#
# This program is free software; you can redistribute it and/or
# modify it under the terms of the GNU General Public License
# as published by the Free Software Foundation; version 2 of the
# License.
# 
# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.
# 
# You should have received a copy of the GNU General Public License
# along with this program; if not, write to the Free Software
# Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA
# 02110-1301, USA.

## \file smmgui.py
#
# \short Starts the GUI only
# 
# \author Carsten Grohmann <mail (at) carstengrohmann (dot) de>
# 
# \par License:
# GPL version 2.0

import os.path
import sys
import zipfile

# check for smm zip file
if os.path.exists("./smm.zip") and zipfile.is_zipfile("./smm.zip"):
    sys.path.insert(0, './smm.zip')

import gui

## \brief Create and run a new application object
def main():
    # start application
    myapp = gui.SMMGui()
    myapp.MainLoop()

# call main function if used as normal script
if __name__ == "__main__":
    main()
